Jump to content
gedu

Point

Recommended Posts

gedu

I have received a survey with this type of points. I would like to know how from civil 2017 I can include it in an already created surface.

Thank you

Point.dwg

Share this post


Link to post
Share on other sites
BIGAL

This is real quick and dirty lisp code but matches your dwg. Makes new Autocad "points" then use the option "Add Drawing objects, Points" to merge into an existing surface. It can do with a bit of refinement if its to be used often.

(defun makepts ( / ss pt x)
(setq ss (ssget (list(cons 0 "insert")(cons 8 "V-NODE")) )) ; a block on layer "V-node"
(repeat (setq x (sslength ss))
(setq ent (assoc 10 (entget (ssname ss (setq x (- x 1)))))) ; insertion point in 3d
(setq pt (list (cadr ent)(caddr ent)(cadddr ent)))
(command "point" pt)
)
)
(makepts)
(princ)

Share this post


Link to post
Share on other sites
gedu

Thank you BIGAL!!!

Share this post


Link to post
Share on other sites
BIGAL

No worries very simple to do.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×